%define name		AfterStep
%define version		1.8.0.3
%define rversion	1.8.0
%define release 6mdk
%define prefix		/usr/X11R6

Summary:	AfterStep Window Manager
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		4
Prefix:		%{prefix}
Copyright:	GPL
Group:		Graphical desktop/Other
BuildRequires: XFree86-devel, xpm-devel, libjpeg-devel, libpng-devel, zlib-devel
URL:		http://www.afterstep.org/

Source:		ftp://ftp.afterstep.org/stable/%{name}-%{rversion}.tar.bz2
Source1:	AfterStep-mdkconf.tar.bz2
Source2:	%{name}.menu-method
Source3:	%{name}.xpm.bz2
Source4:	%{name}32.xpm.bz2
# AfterStep patch
Patch1:		1.8.0-01-sashaallanon-pager-asetroot-man.patch.bz2
Patch4:		1.8.0-02-sasha-pager_deps_screen.patch.bz2
Patch5:		1.8.0-03-sasha-depend_cutpixmap.patch.bz2

# Mandrake patch
Patch2:		AfterStep-1.8.1-menuname.patch.bz2
Patch3:         AfterStep.MenuKey.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	mandrake_desk >= 1.0.1-11, /usr/X11R6/bin/xsetbg

%description
AfterStep is a Window Manager for X which started by emulating the
NEXTSTEP look and feel, but which has been significantly altered
according to the requests of various users. Many adepts will tell you
that NEXTSTEP is not only the most visually pleasant interface, but
also one of the most functional and intuitive out there. AfterStep
aims to incorporate the advantages of the NEXTSTEP interface, and add
additional useful features.

The developers of AfterStep have also worked very hard to ensure
stability and a small program footprint. Without giving up too many
features, AfterStep still works nicely in environments where memory is
at a premium.


%prep

%setup -n %{name}-%{rversion} -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5	-p1

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr/X11R6 \
	--datadir=/usr/share \
	--with-imageloader="xsetbg" \
	--with-helpcommand="xterm -fn 9x15 -e man" \
	--with-desktops=1 \
	--with-deskgeometry=1x1 \
	--disable-availability \
	--disable-staticlibs \
	--enable-i18n
make

if [ -x /usr/bin/sgml2html ]
	then sgml2html doc/afterstep.sgml
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/{sessreg,xpmroot}

r=$RPM_BUILD_ROOT
mkdir -p $r/etc/menu-methods $r/usr/lib/menu/
install -m 755 %{SOURCE2} $r/etc/menu-methods/%{name}
cat << EOF > $r/usr/lib/menu/%{name}
?package(%{name}):needs=wm \
section="Session/Windowmanagers" \
icon="%{name}.xpm" \
title="AfterStep" \
command="afterstep"
EOF

#mdk icons
install -d $r%{_miconsdir}
bzcat %{SOURCE3} >$r%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE4} >$r%{_iconsdir}/%{name}.xpm

# Not needed with Mandrake menus
rm -rf $r/usr/share/afterstep/start/Applications/

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d
cat > $RPM_BUILD_ROOT/etc/X11/wmsession.d/06afterstep << EOF
NAME=AfterStep
ICON=AfterStep.xpm
EXEC=/usr/X11R6/bin/afterstep
DESC=A NeXt like Window-Manager
SCRIPT:
exec /usr/X11R6/bin/afterstep
EOF

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}
%{make_session}
ldconfig

%postun
%{clean_menus}
%{make_session}
ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog NEW README* TEAM UPGRADE doc/languages doc/licences doc/code TODO
%config(noreplace) %{_sysconfdir}/menu-methods/%{name}
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/06afterstep
%{_menudir}/%{name}
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/lib/*so.*
%{_prefix}/X11R6/man/*/*
%{_datadir}/afterstep
%{_iconsdir}

%changelog
* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 1.8.0.3-6mdk
- add icons for menu.
- macrozifications

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.0.3-5mdk
- entry in /etc/X11/wmsession.d
- noreplace

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.0.3-4mdk
- automatically added BuildRequires

* Sun Jul 09 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.0.3-3mdk
- Build with right options

* Sat Jul 08 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.0.3-2mdk
- Add serial to force update

* Sat Jul 08 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.0.3-1mdk
- 1.8.0 patch 3

* Wed Jul 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.0.2-1mdk
- 1.8.0 patch 2 (sasha+contrib)
- Fix version number

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 1.8.1-6mdk
- Add fndSession call.

* Mon Apr 10 2000 Dindinx <odin@mandrakesoft.com> 1.8.1-5mdk
- Add menu key support

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.8.1-4mdk
- Make default background viewver xsetbg (no more xli).
- Add menus.
- Remove %pre (handle by %config).

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 1.8.1-3mdk
- Fix group, specs updates, removing .so files, etc.

* Tue Mar 14 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.1-2mdk
- Update Group

* Tue Feb 29 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.1-1mdk
- 1.8.1
- Merge with official AfterStep spec

* Thu Jan 06 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 1.7.142-5mdk: Requires mandrake_desk >= 1.0.1-11

* Wed Jan 05 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Remove afsdrake for 7.0
- Back to old config files
- Change default background for old config files 

* Sat Dec 25 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Change default background
- Disable afsdrake by default

* Tue Dec 21 1999 - David BAUDENS <baudens@mandkrasoft.com>
- Add afsdrake

* Sat Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 1.7.142

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- New icons

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake customisations (background, menus, icons).

* Fri Jun 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.7.111

* Thu Jun 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.7.90
- Mandrake adaptions

* Mon Feb  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.6.10-1]
- Upgraded to 1.6.10

* Mon Jan  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.6.6-3]
- Added a pre-install script to check to see if a previous versions
  share directory exists... If one does, it will copy it to afterstep_old.

* Thu Dec 31 1998 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.6.6-2]

- Configuring with no special settings and installing into
  default dirs as per David Mihm <davemann@ionet.net>

* Wed Dec 30 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.6.6

* Fri Dec 11 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.6 (final)

* Tue Nov 24 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5 beta 6 (ascp no longer part of package)

* Tue Sep 22 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Moved ascp to a subpackage
 
* Thu Sep 21 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5beta4
 - Huzzah! configure flags!

* Thu Sep 3 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5beta3
 - Tried to use some of RPM's internal variables for later ease.

* Sun Aug 9 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5pre7

* Mon Jul 13 1998 Michael K. Neylon <mneylon@neylonpc.engin.umich.edu>
 - Updated to 1.5pre6

* Thu Jul  2 1998 Michael K. Neylon <mneylon@neylonpc.engin.umich.edu>
 - Updated to 1.5pre5

* Thu Jun 25 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.5pre3
 - Updated to this version.
 - Borrows xiterm source for 1.4.5.55N6 (as per readme).

* Tue Jun 2 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.55N6-2
 - Enabled compiled-time option of saving windows.

* Sat May 26 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.55N6-1
 - N6 update
 - Removed requirement for sgml-tools.  Do release that you will needs these
   to rebuild the .src.rpm (Available as contrib packages at Redhat)

* Sat May 16 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.55N-1
 - 1.4.5.55N update

* Thu Apr 23 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.3-1
 - 1.4.5.3 patch (applied to 1.4.5.1, odd, but...)

* Sun Apr 19 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.2-1
 - 1.4.5.2 patch

* Thu Apr 16 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.1-1
 - Included major documentation patch.

* Tue Apr 14 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.0-1
 - Update to new 1.4.5

* Wed Mar 11 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.4-1
 - Update to new 1.4.4 beta, with necessary spec file adjustments
 - New changes no longer require OffiX-devel (as astrash isn't included)
 - put "afterstepdoc" and related files in the right place :-)

* Tue Feb 17 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4-2
 - Fixed documentation problems

* Thu Feb 11 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4
 - Updated to 1.4, using root install (including the startmenu worldwrite
   fix

* Thu Jan 15 1998 Kjetil Wiekhorst Jrgensen <jorgens@zarhan.pvv.org> 1.0-7
 - Fixed a minor bug in the code using mktemp(3).

* Tue Jan 13 1998 Kjetil Wiekhorst Jrgensen <jorgens@zarhan.pvv.org> 1.0-6
 - Added patch to allow the usage of m4 to configure afterstep.

* Thu Nov 20 1997 Greg Boehnlein <damin@nacs.net> 1.0-5
 - Modified Exist patch to look in /etc/X11/afterstep for system.steprc

* Wed Nov 19 1997 Greg Boehnlein <damin@nacs.net> 1.0-4
 - Rebuilt RPM under RedHat Mustang (glibc)

* Tue Jul 17 1997 Ximenes Zalteca <ximenes@netset.com> 1.0-3
 - Added Exist popup patch
 - Oh ya, and Malda's cool3.diff has been in since -2 :)

* Wed Jul 03 1997 Ximenes Zalteca <ximenes@netset.com> 1.0-2
 - Put sample.steprc in /etc/X11/afterstep

* Sat Jun 28 1997 Ximenes Zalteca <ximenes@netset.com> 1.0-2
 - Added patch to build properly on Linux/Alpha
 - Modified description
 - Modified BuildRoot
 - Updated URLs
 - Moved things from /usr/lib/X11 to /usr/X11R6/lib/X11
